package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Professor;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/4/6.
 */
@DAO
public abstract class ProfessorDao {
    @Insert
    public abstract int insert(Connection con, Professor professor) throws SQLException;

    @Update
    public abstract int update(Connection con, Professor professor) throws SQLException;

    @UpdateWith
    @From(Professor.class)
    public abstract int updateAuthStatus(Connection con, String id, @Set Integer authStatus,@Set String idCard) throws SQLException;

    @UpdateWith
    @From(Professor.class)
    public abstract int updateAuthStatusExpert(Connection con,String id,@Set Integer authStatusExpert)throws SQLException;

    @UpdateWith
    @From(Professor.class)
    public abstract int updateAuthType(Connection con, String id, @Set Integer authType) throws SQLException;
}
